javax.swing.plaf

## Class BorderUIResource.EmptyBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.EmptyBorder
    - - javax.swing.plaf.BorderUIResource.EmptyBorderUIResource

- All Implemented Interfaces:
    Serializable, Border, UIResource
  Enclosing class:
    BorderUIResource

      public static class BorderUIResource.EmptyBorderUIResource
      extends EmptyBorder
      implements UIResource

- - ### Field Summary

    - ### Fields inherited from class javax.swing.border.EmptyBorder

      `bottom, left, right, top`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BorderUIResource.EmptyBorderUIResource(Insets insets)`
    `BorderUIResource.EmptyBorderUIResource(int top, int left, int bottom, int right)`

  - ### Method Summary

    - ### Methods inherited from class javax.swing.border.EmptyBorder

      `getBorderInsets, getBorderInsets, isBorderOpaque, paintBorder`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BorderUIResource.EmptyBorderUIResource

          public BorderUIResource.EmptyBorderUIResource(int top,
                                                int left,
                                                int bottom,
                                                int right)

    - #### BorderUIResource.EmptyBorderUIResource

          @ConstructorProperties(value="borderInsets")
          public BorderUIResource.EmptyBorderUIResource(Insets insets)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.